package dao

import (
	"time"
)

//GatewayRelation 网关挂载设备关联信息表
type GatewayRelation struct {
	ID                 int       `gorm:"type:int;primary_key"`                //编号 网关ID
	LightControlCount  int       `gorm:"type:int;default 0"`                  //灯控数量
	InfoBoardCount     int       `gorm:"type:int;default 0"`                  //信息屏数量
	OptoSensorCount    int       `gorm:"type:int;default 0"`                  //环境传感器数量
	ZigbeeCount        int       `gorm:"type:int;default 0"`                  //Zigbee设备数量
	AlarmTerminalCount int       `gorm:"type:int;default 0"`                  //告警终端数量
	CaptureUnitCount   int       `gorm:"type:int;default 0"`                  //抓拍单元数量
	IpBroadcastCount   int       `gorm:"type:int;default 0"`                  //IP音柱数量
	Total              int       `gorm:"type:int;default 0"`                  //总数
	TenantId           int       `gorm:"type:int" json:"tenantId"`            //租户ID
	CreateTime         time.Time `gorm:"type:datetime" json:"createTime"`     //新增时间
	UpdateTime         time.Time `gorm:"type:datetime" json:"updateTime"`     //修改时间
	IsDeleted          int       `gorm:"type:int;default 0" json:"isDeleted"` //是否删除 0=未删除,1=删
}

func (GatewayRelation) TableName() string {
	return "device_gateway_relation"
}

func (c *GatewayRelation) Get() error {
	return Db.Debug().Model(&c).Where("id = ?", c.ID).Find(&c).Error
}
