package model

import (
	"iot_manager_service/app/multimedia/dao"
)

type ProgramDetail struct {
	dao.Program
	LibraryIds     string `json:"libraryIds"`     //组合素材ID 逗号分割
	ResolutionName string `json:"resolutionName"` //分辨率
}

type RsqProgramList struct {
	Records []ProgramDetail `json:"records"` //记录列表
	Current int             `json:"current"` //当前分页
	Size    int             `json:"size"`    //每页数量
	Pages   int             `json:"pages"`   //总页数
	Total   int             `json:"total"`   //总数
}

type ReqProgramSubmit struct {
	Name           string `json:"name"`           //名称
	Resolution     int    `json:"resolution"`     //分辨率 枚举编号
	Duration       int64  `json:"duration"`       //统计总时长
	FileSize       int64  `json:"fileSize"`       //统计文件总大小
	ImgDuration    int    `json:"imgDuration"`    //图片播放时长(毫秒)
	Remarks        string `json:"remarks"`        //备注
	LibraryIds     string `json:"libraryIds"`     //组合素材ID 逗号分割
	ResolutionName string `json:"resolutionName"` //分辨率
}
